Subject: Re: [PATCH v3] doc: describe the project's decision-making process

From: Junio C Hamano <[email-masked]>
Date: Thu, 16 May 2024 15:01:13 -0700

Josh Steadmon <[email-masked]> writes:

> Changes in V3:
> * Squash in Junio's suggested patch to remove discussion of small-scale
>   patch series.

I do not think I deserve Co-authorship for the small changes in the
remaining document, as my contributions going from v2 to v3 were
mostly line removal ;-).

> +Larger Discussions (with patches)
> +---------------------------------

Reads well and looks sensible.

> +Larger Discussions (without patches)
> +------------------------------------
> +Occasionally, larger discussions might occur without an associated patch series.
> +These might be very large-scale technical decisions that are beyond the scope of
> +...

I do not know how strongly assertive you wanted to be, but I suspect
that it will read better with "might" -> "may".

> ...
> +For larger discussions without a patch series or other concrete implementation,
> +it may be hard to judge when consensus has been reached, as there are not any
> +official guidelines. If discussion stalls at this point, it may be helpful to
> +restart discussion with an RFC patch series or other specific implementation
> +that can be more easily debated.

It is a bit fuzzy what "other specific implementation" wants to
convey.  A mere "RFC" is often an unfinished work-in-progress, and
if the "other specific implementation" is different from it, then
what it would be?  A minimum viable product?  A proof-of-concept?

All other parts did read very well.

Not that the above was unreadable, but just my reading hiccupped at
around "other specific implementation".

Thanks.